%define upstream_name    Locale-Msgfmt
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Functions used internally by Locale::Msgfmt
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148295
Patch0:        Locale-Msgfmt-0.15-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module does the same thing as msgfmt from GNU gettext-tools, except this
is pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Locale
%{perl_vendorlib}/Module


%changelog
* Tue Jun 25 2024 daviddavid <daviddavid> 0.150.0-13.mga10
+ Revision: 2076571
- Update Makefile.PL to not use Module::Install::DSL

* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-12.mga9
+ Revision: 1809575
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-11.mga8
+ Revision: 1504964
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-10.mga7
+ Revision: 1284510
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.150.0-9.mga7
+ Revision: 1165267
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.150.0-8.mga7
+ Revision: 1158570
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-7.mga6
+ Revision: 1029275
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.150.0-6.mga6
+ Revision: 940732
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 741529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 685249
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 512632
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 369163
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 28629
- mageia rebuild
- imported package perl-Locale-Msgfmt


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.150.0-1mdv2011.0
+ Revision: 602031
- new version

* Thu Jul 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 393849
- import perl-Locale-Msgfmt


* Thu Jul 09 2009 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
